OpenCart. Ошибка deprecated: mysql_connect():

Ошибка возникает из-за версии php 5.5 и выше. Решение:

1. Скачиваем приложенный драйвер mysql.

2. Заливаем файл в /system/database/.

3. В когфиг файлах комментируем или удаляем строки

define('DB_DRIVER', 'mysql');

и вместо них прописываем

define('DB_DRIVER', 'mysqliz');

Все. Должно работать. Ссылка на источник драйвера. Также есть платное решение (не проверял).

В архиве обновленный драйвер от 14.01.16

Файл:
 First maniac| 26.11.2015 19:30
Рейтинг
Комментарии
Нет комментариев. Ваш будет первым!
Для написания комментария необходимо Войти или Зарегистрироваться
Войти на сайт